const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 120)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 104)));
    v5_d = __asm_mulpd(v4_3, *((edi - 32)));
    v5_12 = __asm_mulsd(v4_8, *((edi - 32))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi - 48)));
    if *((edi - 76)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi - 32)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 120)), v5_17);
        *((esi_global_2d_to_2d_local - 104)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_90, v5_17);
    __asm_movsd_2(v5_1c);
    v1_4e = *((edi - 104)) % 32;
    fabsl(stack_var__2d_90 * edi + edi - edi);
    fabsl(tmp296 * edi + edi - edi);
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    while True:;
        __asm_fprem();
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        # 0xd0;
        while __asm_wait() & 1024 != 0:;
            # 0xe1;
            __asm_fprem();
            __asm_wait();
            __asm_fnstsw(fpsw_global_2d_to_2d_local);
        v2_f2 = fabsl(*((edi - 72)) - *((edi - 148)));
        __asm_fprem();
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        while __asm_wait() & 1024 != 0:;
            # 0x108;
            __asm_fprem();
            __asm_wait();
            __asm_fnstsw(fpsw_global_2d_to_2d_local);
        v2_119 = fabsl(edi - v2_f2 + *((edi - 100)) - *((edi - 148))) # bp+119;
        __asm_fprem();
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        while __asm_wait() & 1024 != 0:;
            # 0x12e;
            __asm_fprem();
            __asm_wait();
            __asm_fnstsw(fpsw_global_2d_to_2d_local);
        # 0x137;
        fabsl(edi - v2_119 + *((edi - 92)) - *((edi - 148)));
        __asm_wait();
        if __asm_fnstsw(fpsw_global_2d_to_2d_local) / 256 & 65 == 0:;
            pass;
        # 0x1ae;
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        __asm_wait();
        __asm_fnstsw(fpsw_global_2d_to_2d_local);
        if (v1_4e if v1_4e != 0 else 1) <= 1:;
            # break -> 0x22c;
            break;
    if *((edi - 76)) == 0:;
        # 0x232;
        v4_235_pre_2d_phi = v7_21d / *((edi - 32));
    else:;
        v4_235_pre_2d_phi = v7_21d;
    # 0x235;
    *((esi_global_2d_to_2d_local - 32)) = v4_235_pre_2d_phi;
    return z.x_global_2d_to_2d_local & -0x10000 | v1_20d & -0xff01 | v1_20d & 0x4100;


	}